org.sonatype.plexus.components.cipher

## Class PBECipher

- java.lang.Object
- - org.sonatype.plexus.components.cipher.PBECipher

    public class PBECipher
    extends Object

Version:
  $Id$
Author:
  Oleg Gusakov

### Field Summary

Fields
`protected MessageDigest` `_digester`
`protected boolean` `_onLinux`
`protected SecureRandom` `_secureRandom`
`protected static int` `CHUNK_SIZE`
`protected static String` `CIPHER_ALG`
`protected static String` `DIGEST_ALG`
`protected static String` `KEY_ALG`
`protected static int` `PBE_ITERATIONS`
`protected static int` `SALT_SIZE`
`protected static int` `SPICE_SIZE`
`protected static String` `STRING_ENCODING`
`protected static byte` `WIPER`

### Constructor Summary

Constructors
Constructor and Description
`PBECipher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `decrypt64(String encryptedText, String password)`
`String` `encrypt64(String clearText, String password)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STRING_ENCODING

    protected static final String STRING_ENCODING

See Also:
  Constant Field Values

#### SPICE_SIZE

    protected static final int SPICE_SIZE

See Also:
  Constant Field Values

#### SALT_SIZE

    protected static final int SALT_SIZE

See Also:
  Constant Field Values

#### CHUNK_SIZE

    protected static final int CHUNK_SIZE

See Also:
  Constant Field Values

#### WIPER

    protected static final byte WIPER

See Also:
  Constant Field Values

#### DIGEST_ALG

    protected static final String DIGEST_ALG

See Also:
  Constant Field Values

#### KEY_ALG

    protected static final String KEY_ALG

See Also:
  Constant Field Values

#### CIPHER_ALG

    protected static final String CIPHER_ALG

See Also:
  Constant Field Values

#### PBE_ITERATIONS

    protected static int PBE_ITERATIONS

#### _digester

    protected MessageDigest _digester

#### _secureRandom

    protected SecureRandom _secureRandom

#### _onLinux

    protected boolean _onLinux

### Constructor Detail

#### PBECipher

    public PBECipher()
              throws PlexusCipherException

Throws:
  `PlexusCipherException`

### Method Detail

#### encrypt64

    public String encrypt64(String clearText,
                            String password)
                     throws PlexusCipherException

Throws:
  `PlexusCipherException`

#### decrypt64

    public String decrypt64(String encryptedText,
                            String password)
                     throws PlexusCipherException

Throws:
  `PlexusCipherException`